I have used zope2 for a couple of years and I have experimented from time to time with zope3. Today, I configured zope3 with python2.5 and my user account was owner of both the python2.5 directory and the zope3 directory. When attempting to create a zope instance I received the attached "'OverflowWarning is not defined" error condition. Though I have seen this error condition referenced in other postings - I have not seen a resolution. I am clueless about the security references. Is this a bug? Any suggestions?

./configure --prefix=/zope3 --force --with-python=/zope-python/bin/python2.5

[EMAIL PROTECTED]:/zope3/bin$ ./mkzopeinstance
Traceback (most recent call last):
 File "./mkzopeinstance", line 47, in <module>
   from zope.app.server.mkzopeinstance import main
File "/zope3/lib/python/zope/app/server/mkzopeinstance.py", line 32, in <module>
   from zope.app.authentication import password
File "/zope3/lib/python/zope/app/authentication/__init__.py", line 19, in <module>
   import interfaces
File "/zope3/lib/python/zope/app/authentication/interfaces.py", line 22, in <module>
   import zope.security.interfaces
 File "/zope3/lib/python/zope/security/__init__.py", line 24, in <module>
   from zope.security.management import checkPermission
 File "/zope3/lib/python/zope/security/management.py", line 25, in <module>
   from zope.security.interfaces import ISecurityManagement
 File "/zope3/lib/python/zope/security/interfaces.py", line 20, in <module>
   from zope.interface.common.interfaces import IAttributeError
File "/zope3/lib/python/zope/interface/common/interfaces.py", line 80, in <module>
   classImplements(OverflowWarning, IOverflowWarning)
NameError: name 'OverflowWarning' is not defined


Zope3-users mailing list

Reply via email to